[USRP-users] Way around to use X310 with latest UHD or with UHD 3.8.2 in Matlab 2015b ?

Ahsan Saeed ahsansaeed0 at gmail.com
Wed Mar 9 00:42:15 EST 2016


Just installed MATLAB 2016a. The X310 rev7 is working all good with
Simulink. Thanks Mike and Muller !

Regards,
Ahsan

On Mon, Feb 29, 2016 at 5:34 AM, Mike McLernon <Mike.McLernon at mathworks.com>
wrote:

> Hi Ahsan,
>
>
>
> Yes, you should be able to go with a Simulink solution on March 3rd, when
> R2016a ships.
>
>
>
> Best,
>
> Mike
>
>
>
>
>
> *From:* USRP-users [mailto:usrp-users-bounces at lists.ettus.com] *On Behalf
> Of *James Humphries via USRP-users
> *Sent:* Sunday, February 28, 2016 11:18 AM
> *To:* Marcus Müller <marcus.mueller at ettus.com>
> *Cc:* USRP-users at lists.ettus.com
> *Subject:* Re: [USRP-users] Way around to use X310 with latest UHD or
> with UHD 3.8.2 in Matlab 2015b ?
>
>
>
> Hi Ahsan,
>
>
>
> From this thread:
>
>
>
>
> http://lists.ettus.com/pipermail/usrp-users_lists.ettus.com/2016-February/018662.html
>
>
>
> It looks like Matlab R2016a will be released very soon which should be
> compatible with your Rev7 X310.
>
>
>
> -Trip
>
>
>
> On Sun, Feb 28, 2016 at 8:22 AM, Marcus Müller <usrp-users at lists.ettus.com>
> wrote:
>
> Dear Ahsan,
>
> I'm sorry, there's no "secret way". The UHD that 2015b uses is simply
> incompatible with your device, and you will have to wait for Mathworks'
> next release, I'm afraid, because you cannot use another version of UHD;
> the ABIs are simply incompatible, so you can't replace Mathworks' UHD
> version with your own.
>
> Maybe if you could explain what kind of system you want to implement (Pure
> Matlab? or Simulink? A receiver? A transmitter?), we might come up with a
> workaround for now.
>
> Best regards,
> Marcus
>
>
>
> On 28.02.2016 08:45, Ahsan Saeed via USRP-users wrote:
>
> Initially my USRP X310 came with FPGA Firmware version 13. The SIMULINK
> 2015b gave error related to incompatible firmware image while using the
> block SDRuReceiver.
>
> I uploaded the latest image using uhd_image_loader which updated my fpga
> version to 20.0. Now when I run the SDRuReceiver block, it gives an error
> saying incompatible FW Version, expected version 3.0 but you have 4.0
> version.
>
> I check the host version installed on my PC using getSDRuDriverVersion()
> command in Matlab which returned "003.008.002-vendor", however the latest
> firmware I uploaded was 003.0010.104-vendor.
>
> I again uploaded a new fpga image this time making sure its compatible
> with Matlab host version. When I did that, I got the error:
>
> ---------- begin libuhd warning message output ----------
>
> X300 unknown product code in EEPROM: 30818
>
> ---------- end libuhd warning message output ----------
>
> I used the 'findsdru' matlab command to find the cause and it is returning
> unknown_error. I am aware that for Rev.6 and earlier, the product code for
> X310 is:"30410" and for Rev. 7 and later, the product code for X310 is:
> "30818". Upgrading to new UHD will solve the problem as mentioned in
> http://comments.gmane.org/gmane.comp.hardware.usrp.e100/16175 but it than
> become incompatible with MATLAB.
>
> Is there any way around to use X310 with latest UHD or with UHD 3.8.2 in
> MATLAB ?
>
>
> Thanks,
>
> Ahsan
>
>
>
>
>
> _______________________________________________
>
> USRP-users mailing list
>
> USRP-users at lists.ettus.com
>
> http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com
>
>
>
>
> _______________________________________________
> USRP-users mailing list
> USRP-users at lists.ettus.com
> http://lists.ettus.com/mailman/listinfo/usrp-users_lists.ettus.com
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.ettus.com/pipermail/usrp-users_lists.ettus.com/attachments/20160309/5615126e/attachment-0002.html>


More information about the USRP-users mailing list